> For the complete documentation index, see [llms.txt](https://docs.payshield.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/create-site-enrollment.md).

# Create Site Enrollment

This api is used to create a site under an existing retailer

### Introduction

Merchants (mid) in TxShield are treated as the parent node of a Tree. The layer underneath the Merchant is the Retailer (rid) and the lowest node is a Site (sid).

Merchant --> Retailer --> Site&#x20;

A Site is the object that actions / transactions are done on, in the system.

## POST /site/mid/{mid}/rid/{rid}/create

>

```json
{"openapi":"3.0.1","info":{"title":"TxShield api V3.0","version":"3.0"},"tags":[{"name":"Retailer Sites","description":"Call related to retailer sites in txshield core."}],"servers":[{"url":"<?=PROTOCOL?>://<?=SITE_DOMAIN?>/api/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InvalidCondition":{"type":"object","properties":{"status":{"type":"string"},"code":{"type":"string"},"error_msg":{"type":"object","properties":{"msg":{"type":"string"},"details":{"type":"string"}}}}},"Error":{"type":"object","properties":{"msg":{"type":"string"},"details":{"type":"string"}}},"NotFound":{"type":"object","properties":{"status":{"type":"string"},"code":{"type":"string"},"error_msg":{"type":"object","properties":{"msg":{"type":"string"}}}}}}},"paths":{"/site/mid/{mid}/rid/{rid}/create":{"post":{"tags":["Retailer Sites"],"parameters":[{"name":"mid","in":"path","description":"Merchant Id that related to retailer and retailer site","required":true,"schema":{"type":"integer"}},{"name":"rid","in":"path","description":"Retailer Id that related to retailer site","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["name"],"properties":{"name":{"type":"string","maxLength":50,"description":"Letters, numbers, spaces, dots, underscores and hyphens only, and must start and end with a letter or number. Leading/trailing whitespace is trimmed."},"service":{"type":"string","enum":["alerts","payments","3ds","txfind","fraudcheck"],"default":"alerts","description":"Product the site is enrolled for. Must be enabled on the merchant, otherwise the request is rejected with 400."},"reseller_id":{"type":"integer","description":"Defaults to the merchant's assigned reseller, then the \"Default\" reseller"},"url":{"type":"string","description":"Defaults to http://example.com when omitted"},"remarks":{"type":"string","description":"Defaults to \"Created by {user} via API\" when omitted"},"description":{"type":"string"},"currency":{"type":"string","description":"Defaults to the resolved reseller's currency when omitted"},"support_group":{"type":"integer","description":"Defaults to the \"Default Support Group\". See /api/v3/datasource/supportgroup"},"cat_id":{"type":"integer","description":"Defaults to the \"Non Payment\" category. See /api/v3/datasource/sitecategory"}}}}}},"responses":{"200":{"description":"Successfully create site","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"msg":{"type":"string"},"sid":{"type":"integer"},"rcode":{"type":"string"}}}}}},"400":{"description":"Invalid condition","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidCondition"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/create-site-enrollment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
